#
# spec file for package rubygem-sshkit
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sshkit
Version:        1.7.1
Release:        5.3
%define mod_name sshkit
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/capistrano/sshkit
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        SSHKit makes it easy to write structured, testable SSH commands in
License:        GPL-3.0
Group:          Development/Languages/Ruby

%description
A comprehensive toolkit for remotely running commands in a structured manner
on groups of servers.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Fri Mar  6 2015 coolo@suse.com
- updated to version 1.7.1
  * Fix a regression in 1.7.0 that caused command completion messages to be removed from log output. @mattbrictson
  [#]# 1.7.0
  * Update Vagrantfile to use multi-provider Hashicorp precise64 box - remove URLs. @townsen
  * Merge host ssh_options and Netssh defaults @townsen
    Previously if host-level ssh_options were defined the Netssh defaults
    were ignored.
  * Merge host ssh_options and Netssh defaults
  * Fixed race condition where output of failed command would be empty. @townsen
    Caused random failures of `test_execute_raises_on_non_zero_exit_status_and_captures_stdout_and_stderr`
    Also fixes output handling in failed commands, and generally buggy output.
  * Remove override of backtrace() and backtrace_locations() from ExecuteError. @townsen
    This interferes with rake default behaviour and creates duplicate stacktraces.
  * Allow running local commands using `on(:local)`
  * Implement the upload! and download! methods for the local backend
* Mon Feb  9 2015 coolo@suse.com
- updated to version 1.6.1
  * Fix colorize to use the correct API (@fazibear)
  * Lock colorize (sorry guys) version at >= 0.7.0
  [#]# 1.6.0 (Yanked, because of colorize.)
  * Force dependency on colorize v0.6.0
  * Add your entries here, remember to credit yourself however you want to be
    credited!
  * Remove strip from capture to preserve whitespace. Nick Townsend
  * Add vmware_fusion Vagrant provider. Nick Townsend
  * Add some padding to the pretty log formatter
  [#]# 1.5.1
  * Use `sudo -u` rather than `sudo su` to switch users. Mat Trudel
  [#]# 1.5.0
  * Deprecate background helper - too many badly behaved pseudo-daemons. Lee Hambley
  * Don't colourize unless $stdout is a tty. Lee Hambley
  * Remove out of date "Known Issues" section from README. Lee Hambley
  * Dealy variable interpolation inside `as()` block. Nick Townsend
  * Fixes for functional tests under modern Vagrant. Lewis Marshal
  * Fixes for connection pooling. Chris Heald
  * Add `localhost` hostname to local backend. Adam Mckaig
  * Wrap execptions to include hostname. Brecht Hoflack
  * Remove `shellwords` stdlib dependency Bruno Sutic
  * Remove unused `cooldown` accessor. Bruno Sutic
  * Replace Term::ANSIColor with a lighter solution. Tom Clements
  * Documentation fixes. Matt Brictson
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 1.4.0
  * Removed `invoke` alias for [`SSHKit::Backend::Printer.execute`](https://github.com/capistrano/sshkit/blob/master/lib/sshkit/backends/printer.rb#L20). This is to prevent collisions with
  methods in capistrano with similar names, and to provide a cleaner API. See [capistrano issue 912](https://github.com/capistrano/capistrano/issues/912) and [issue 107](https://github.com/capistrano/sshkit/issues/107) for more details.
  * Connection pooling now uses a thread local to store connection pool, giving each thread its own connection pool. Thank you @mcbriston see [#101](https://github.com/capistrano/sshkit/pull/101) for more.
  * Command map indifferent towards strings and symbols thanks to @thomasfedb see [#91](https://github.com/capistrano/sshkit/pull/91)
  * Moved vagrant wrapper to `support` directory, added ability to run tests with vagrant using ssh. @miry see [#64](https://github.com/capistrano/sshkit/pull/64)
  * Removed unnecessary require `require_relative '../sshkit'` in `lib/sshkit/dsl.rb` prevents warnings thanks @brabic.
  * Doc fixes thanks @seanhandley @vojto
* Fri Dec 20 2013 coolo@suse.com
- updated to version 1.3.0
  * Connection pooling. SSH connections are reused across multiple invocations
    of `on()`, which can result in significant performance gains. See:
    https://github.com/capistrano/sshkit/pull/70. Matt @mbrictson Brictson.
  * Fixes to the Formatter::Dot and to the formatter class name resolver. @hab287:w
  * Added the license to the Gemspec. @anatol.
  * Fix :limit handling for the `in: :groups` run mode. Phil @phs Smith
  * Doc fixes @seanhandley, @sergey-alekseev.
* Sat Nov 23 2013 coolo@suse.com
- updated to version 1.2.0
  * Support picking up a project local SSH config file, if a SSH config file
    exists at ./.ssh/config it will be merged with the ~/.ssh/config. This is
    ideal for defining project-local proxies/gateways, etc. Thanks to Alex
    @0rca Vzorov.
  * Tests and general improvements to the Printer backends (mostly used
    internally). Thanks to Michael @miry Nikitochkin.
  * Update the net-scp dependency version. Thanks again to Michael @miry
    Nikitochkin.
  * Improved command map. This feature allows mapped variables to be pushed
    and unshifted onto the mapping so that the Capistrano extensions for
    rbenv and bundler, etc can work together. For discussion about the reasoning
    see https://github.com/capistrano/capistrano/issues/639 and
    https://github.com/capistrano/sshkit/pull/45. A big thanks to Kir @kirs
    Shatrov.
  * `test()` and `capture()` now behave as expected inside a `run_locally` block
    meaning that they now run on your local machine, rather than erring out. Thanks
    to Kentaro @kentaroi Imai.
  * The `:wait` option is now successfully passed to the runner now. Previously the
    `:wait` option was ignored. Thanks to Jordan @jhollinger Hollinger for catching
    the mistake in our test coverage.
  * Fixes and general improvements to the `download()` method which until now was
    quite naïve. Thanks to @chqr.
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.1.0
  * The output now reads "Command exited with status _", rather than "command
    failed", or "command succeded", the semantics are the same, but people
    were confused by "failure", when things were running correctly.
  * Small fix to the printer backend for tests, casting command to a string
    explicitly.
  * The gem now supports a run_locally, although it's nothing to do with SSH,
    it makes a nice API. There are examples in the EXAMPLES.md.
* Fri Oct 11 2013 coolo@suse.com
- initial package
